Subject: Re: [PATCH v3 00/20] arm64: entry: migrate more code to C

From: Catalin Marinas <[email-masked]>
Date: Thu, 27 May 2021 15:06:14 +0100

On Tue, May 25, 2021 at 07:32:42PM +0100, Mark Rutland wrote:
> Mark Rutland (20):
>   arm64: remove redundant local_daif_mask() in bad_mode()
>   arm64: entry: unmask IRQ+FIQ after EL0 handling
>   arm64: entry: convert SError handlers to C
>   arm64: entry: move arm64_preempt_schedule_irq to entry-common.c
>   arm64: entry: move preempt logic to C
>   arm64: entry: add a call_on_irq_stack helper
>   arm64: entry: convert IRQ+FIQ handlers to C
>   arm64: entry: organise entry handlers consistently
>   arm64: entry: organise entry vectors consistently
>   arm64: entry: consolidate EL1 exception returns
>   arm64: entry: move bad_mode() to entry-common.c
>   arm64: entry: improve bad_mode()
>   arm64: entry: template the entry asm functions
>   arm64: entry: handle all vectors with C
>   arm64: entry: fold el1_inv() into el1h_64_sync_handler()
>   arm64: entry: split bad stack entry
>   arm64: entry: split SDEI entry
>   arm64: entry: make NMI entry/exit functions static
>   arm64: entry: don't instrument entry code with KCOV
>   arm64: idle: don't instrument idle code with KCOV

I can't claim I did an in-depth review (I may if they don't land in
for-next/core by next week) but overall the series looks good to me:

Acked-by: Catalin Marinas <[email-masked]>

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel